class AppException implements Exception {
  final String message;
  final int? code;
  final String? uuid;

  AppException({
    required this.message,
    this.code,
    this.uuid,
  });

  @override
  String toString() {
    return 'AppException: $message (code: $code, uuid: $uuid)';
  }
}
